| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__DynamicCACRouterAddress Struct Reference
Call Admission Control

Dynamic CAC Router Address. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__IPAddress | RouterIPAddress
| An IP address string representing the single data center router associated with the CAC group serving the WAN in a collocated nodes scenario or the first router associated with the CAC group serving the WAN in a geo-separated nodes scenario. More...
xsd__string | InterfaceName
| Identifies the interface or GRE/IPSec tunnel within the router. More...
enum unsp__CACAccessLinkType * | CACAccessLinkType
| The first access link type of the CAC group. More...

## Detailed Description

Dynamic CAC Router Address.

## Member Data Documentation

## ◆ CACAccessLinkType

enum unsp__CACAccessLinkType* unsp__DynamicCACRouterAddress::CACAccessLinkType

The first access link type of the CAC group.

required: false
default value[range]: CACAccessLinkTypeWAN

## ◆ InterfaceName

xsd__string unsp__DynamicCACRouterAddress::InterfaceName

Identifies the interface or GRE/IPSec tunnel within the router.

The string is of the form "eth0", "eth1", etc., if it characterizes an interface name. Note, this parameter is required if the RouterIpAddress is provided. Both can also be omitted.
required: false
default value[range]: NA [1..255]

## ◆ RouterIPAddress

unsp__IPAddress unsp__DynamicCACRouterAddress::RouterIPAddress

An IP address string representing the single data center router associated with the CAC group serving the WAN in a collocated nodes scenario or the first router associated with the CAC group serving the WAN in a geo-separated nodes scenario.

Presence of the router IP address combined with CACAccessLinkType of the first access link of CACAccessLinkTypeWAN (see below) indicates that the policies associated with this CAC group can be configured with the backup bandwidth values. Note that the RouterIPAddress must be unique and must uniquely identify only one CAC group. If the IP address is already used by a different CAC group, an error is returned.
required: false
default value[range]: NA [1..30]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h